#!/usr/bin/env python3.12

from dataclasses import dataclass, asdict

@dataclass
class LyricsResult:
    """Class for returned Lyrics Results
    @artist: returned artist
    @song: returned song
    @src: source result was fetched from
    @lyrics: str if plain lyrics, list for lrc
    @time: time taken to retrieve lyrics from source
    """
    artist: str
    song: str
    src: str
    lyrics: str|list
    confidence: int
    time: float = 0.00

    def todict(self):
        """Return as dict"""
        return asdict(self)